#ifndef _DJGPP_INCLUDE_SVGAALLG_H
#define _DJGPP_INCLUDE_SVGAALLG_H

#include <stdio.h>
#include <stdlib.h>
#include <allegro.h>
#include "pce.h"
#include "gui.h"
#include "cheat.h"
#include "sound.h"
#include "sprite.h"
#include "cleantyp.h"
#include "osd_gfx.h"

#ifndef LINUX

#include "..\eagle.h"

#else

#include "subs_eagle.h"

#endif

#if defined(SEAL_SOUND)

#include <audio.h>

#endif

void set_message(char*);

int (*init_normal_mode[3])();

void (*PutImage[3])();

#define textoutshadow(bmp,f,s,x,y,color1,color2,offsetx,offsety) { textout(bmp,f,s,x+offsetx,y+offsety,color2); textout(bmp,f,s,x,y,color1); }
// Just a little define to avoid too many keystrokes ;)


/* Miscellaneous variables/functions */

#define XBUF_WIDTH (320+64+40)
//#define HEIGHT 256

// #define  PCE_SCREEN_HEIGHT  240
/* TEST */
// #define PCE_SCREEN_HEIGHT 214
/* TEST */

extern int gamepad_driver;
// kind of game pad to handle

extern char synchro;
//  fond,  fond,  fond? (french joke ;)

extern char dump_snd;
// Do we write sound to file

extern int blit_x,blit_y;
// Where we got to write on screen

extern int screen_blit_x,screen_blit_y;
// Where we got to read from to blit

extern BITMAP *EAGLE_buf;
// the buffer where we will put eagleized video

extern UInt32 old_snd_pos;
// the place where we've put snd to implement double buffer

#endif
